package gcewing.prospecting;

import net.minecraft.src.*;

public class CoordRotator {

	double sinP, cosP, sinY, cosY;
	double x, y, z;
	
	CoordRotator(double pitch, double yaw) {
		sinP = Math.sin(pitch);
		cosP = Math.cos(pitch);
		sinY = Math.sin(yaw);
		cosY = Math.cos(yaw);
	}
	
	void rotate(double xs, double ys, double zs) {
		double xp = xs;
		double yp = cosP * ys - sinP * zs;
		double zp = sinP * ys + cosP * zs;
		
		z = cosY * zp - sinY * xp;
		x = sinY * zp + cosY * xp;
		y = yp;
	}

}
