//------------------------------------------------------
//
//   Greg's Prospecting Mod - Server
//
//------------------------------------------------------

package net.minecraft.src;

import java.io.File;
import gcewing.prospecting.MiningRadarAction;

public class mod_GregsProspectingServer extends GregsProspecting {

	public mod_GregsProspectingServer() {
		super(true);
	}

	public void load() {
		super.load(new File("."));
	}
	
	public void onPacket250Received(EntityPlayer player, Packet250CustomPayload pkt) {
		//System.out.printf("mod_GregsProspectingServer: received packet on channel %s\n",
		//	pkt.channel);
		//System.out.printf("mod_GregsProspectingServer: Data =");
		//for (int i = 0; i < pkt.length; i++)
		//	System.out.printf(" %02X", pkt.data[i]);
		//System.out.printf("\n");
		if (pkt.data.length >= 2) {
			int code = pkt.data[1];
			MiningRadarAction[] val = MiningRadarAction.values();
			if (code >= 0 && code < val.length)
				performMiningRadarAction(player, val[code]);
		}
	}

}
